<?php 
/**
 * The template for functions 
 *
 * @version    1.5.8
 * @package    gripvine
 * @author     Zidithemes
 * @copyright  Copyright (C) 2018 zidithemes.tumblr.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * 
 */



function gripvine_setup(){
	
		// ADD THEME SUPPORT
	add_theme_support( 'title-tag' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "custom-header" );
	add_theme_support( "custom-background" );
	add_theme_support( 'post-thumbnails' );
	add_theme_support('woocommerce');


	// ADD EDITOR STYLE
	add_editor_style();

	//REGISTER NAV MENUS
	register_nav_menus(
	    array(
	      'primary-menu' => __( 'Primary Menu', 'gripvine' ),
	    )
	  );


	 


	load_theme_textdomain( 'gripvine' );


}

add_action('after_setup_theme', 'gripvine_setup');

// Load styles
function gripvine_load_styles_scripts(){
	// NOTE:   SOME OF THESE SCRIPTS ARE HOSTED ON A CDN AND ARE NOT STORED LOCALLY... SO THIS THEME MAY NOT RENDER PROPERLY IF YOU ARE NOT CONNECTED TO THE INTERNET
	
		wp_enqueue_style( 'style', get_template_directory_uri() . '/style.css');

		wp_enqueue_style( 'noto-google-fonts-style', 'https://fonts.googleapis.com/css?family=Noto+Sans');

		if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );
	
}

add_action('wp_enqueue_scripts', 'gripvine_load_styles_scripts');


// SET CONTENT WIDTH
if ( ! isset( $content_width ) ) $content_width = 600;


// Creating the sidebar
function gripvine_menu_init() {


register_sidebar(
		array(
                'name' 			=> __('Sidebar Widgets', 'gripvine'),
                'id'    		=> 'sidebar_id',
                'class'       	=> '',
				'description' 	=> __('Add sidebar widgets here', 'gripvine'),
				'before_widget' => '<div class="sidebar-items">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));


	register_sidebar(array(
                'name' 			=> __('Left Footer', 'gripvine'),
                'id'    		=> 'left_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'gripvine'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Middle Footer', 'gripvine'),
                'id'    		=> 'middle_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'gripvine'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title'	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Right Footer', 'gripvine'),
                'id'    		=> 'right_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'gripvine'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> __('Fourth Footer', 'gripvine'),
                'id'    		=> 'fourth_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'gripvine'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

	register_sidebar(array(
                'name' 			=> __('Full Width Footer', 'gripvine'),
                'id'    		=> 'full_width_footer',
                'class' 		=> '',
				'description' 	=> __('Add widgets here', 'gripvine'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

}
add_action('widgets_init', 'gripvine_menu_init');

// this increases or decreaes the length of the excerpt on the index page
function gripvine_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'gripvine_excerpt_length', 999 );

function gripvine_excerpt_more( $more ) {
    return '';
}
add_filter( 'excerpt_more', 'gripvine_excerpt_more' );



?>